package com.muyu.product.domain.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryInfoUpdReq {
    /** 主键 */

    private Long id;

    /** 品类名称 */


    private String name;

    /** 图片 */

    private String image;

    /** 是否启用 */

    private String start;

    /** 介绍 */

    private String introduction;

    /**
     * 商品属性组关联ID
     */
    private List<Long> attributeGroupIdList;
    /**
     * 商品属性关联ID
     */
    private List<Long> attributeIdList;

    /**
     * 商品品牌组关联ID
     */
    private List<Long> brandIdList;
}
