package com.muyu.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsCategoryAttribute;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 品类属性中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AsCategoryAttributeMapper extends BaseMapper<AsCategoryAttribute> {
    void addAttribute(@Param("id") Long id, @Param("attributeId") Long attributeId);
}
