package com.muyu.system.domain.req;

import java.math.BigDecimal;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 product
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "ProductSaveReq", description = "【请填写功能名称】")
public class ProductSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */

    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 商品名称 */

    @ApiModelProperty(name = "商品名称", value = "商品名称")
    private String name;

    /** 原价 */

    @ApiModelProperty(name = "原价", value = "原价")
    private BigDecimal price;

    /** 拼团价格 */

    @ApiModelProperty(name = "拼团价格", value = "拼团价格")
    private BigDecimal groupPrice;

}
